package TD6;

import javax.swing.*;
import java.awt.*;

public class Fenetre extends JFrame {

	private String titre;
	
	private Damier d0;
			
	public Fenetre (String titre) {
		super(titre);
		this.setSize(300,300);
		this.setResizable(false);
		setLayout(new BorderLayout());
		// Cration du damier
		d0 = new Damier(10,10);
		this.add(d0,BorderLayout.CENTER);
		// Permet d'arrter l'appli lors de la fermeture de la fentre
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
	}
	
	public void sizeAndPlace() {
		Dimension dim = Toolkit.getDefaultToolkit().getScreenSize();
		// Rcupration de la largeur et hauteur de l'cran 
		int lae = (int)dim.getWidth();
		int hae = (int)dim.getHeight();
		// Retaillage de la largeur et de la hauteur de la fentre 
		int laf = (int)(lae*3/4);
		int haf = (int)(hae*3/4);
		// Variable d'margement de la fentre
		int Xf = (int)(lae*10/100);
		int Yf = (int)(hae*10/100);
		// Affichage de la fentre avec les nouvelles dimension
		setBounds(Xf, Yf, laf, haf);
		this.setVisible(true);
	}
}
